From: [email-masked] (Jon Flower)
Date: Mon, 8 Feb 93 07:10:39 PST

To: [email-masked]
Re: Buffering requirements

I agree with Jim Cownie's comment that trying to figure out buffering
requirements in an application is difficult for the receiver and hence
the problems in creating REALLY reliable code with buffered systems.
A potentially easier option is the one that Rik Littlefield mentioned - 
buffering at the sender instead. For most applications it is MUCH 
easier to compute how much is going to be sent than how much will 
be received.

However, buffering at the sender seems to impose an implementation
feature, i.e., that there be an intial message describing the actual
transaction followed by a data request and finally the data itself.

Is there a way around this? If so, it seems like a great idea
to me. If not, is it going to be acceptable to the High Priests
to have this three-hop version?

	Jon Flower